express = require 'express'
stylus = require 'stylus'

compileStylus = (str) ->
  stylus(str).set "compress", false
  
app.configure ->
  cwd = process.cwd()
  app.use stylus.middleware(
    force: true
    src: cwd + "/app/assets/"
    dest: cwd + "/public"
    compile: compileStylus
  )
  app.set 'views', cwd + '/app/views'
  app.set 'view engine', 'VIEWENGINE'
  app.enable 'coffee'
  app.use express.static(cwd + '/public', maxAge: 86400000)
  app.use express.bodyParser()
  app.use express.cookieParser()
  app.use express.session secret: 'secret'
  app.use express.methodOverride()
  app.use app.router

